
QGIS Application - Bug report #3789

Please update license file

2011-04-29 09:10 AM - Volker Fröhlich

Status: Closed

Priority: Normal

Assignee: Werner Macho

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 13847

Description

Referencing to #3432 and r15321, please update CODING to a copy of the GPL3. Please take care of including a copy with the

up-to-date FSF postal address, as the current file is outdated.

History

#1 - 2011-07-22 06:34 AM - Volker Fröhlich

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

http://www.gnu.org/licenses/gpl.txt

#2 - 2011-07-31 08:50 AM - Sandro Santilli

- Priority changed from Low to High

- Must fix changed from No to Yes

Shouldn't also source file headers be updated ? They contain GPL2+ notices.

It seems this failed for 1.7.0, and is still unfixed in master git.

I took the liberty of raising priority from low to high (isn't it ?).

Note that ohloh stats have "unknown" as the licensing terms, I wanted to update but the ambiguity of in the source code doesn't make that straightforward.

#3 - 2011-08-03 11:27 AM - Alexander Bruy

- Target version changed from Version 1.7.0 to Version 1.7.1

#4 - 2011-11-12 05:52 AM - Tim Sutton

- Target version changed from Version 1.7.1 to Version 1.7.2

#5 - 2011-11-30 12:40 PM - Giovanni Manghi

- Target version changed from Version 1.7.2 to Version 1.7.3

#6 - 2011-12-16 10:54 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4

#7 - 2012-04-16 05:37 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No
- Priority changed from High to Severe/Regression

- Affected QGIS version set to master

#8 - 2012-04-16 06:27 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#9 - 2012-04-18 09:51 AM - Jürgen Fischer

- Assignee set to Werner Macho

#10 - 2012-05-04 03:06 AM - Paolo Cavallini

Now qgis has been accepted in Debian main: can this be closed?

#11 - 2012-05-04 03:13 AM - Jürgen Fischer

Paolo Cavallini wrote:

Now qgis has been accepted in Debian main: can this be closed?

Probably not - or did we change anything to fix this?

#12 - 2012-05-04 03:41 AM - Paolo Cavallini

- Priority changed from Severe/Regression to Normal

Now it has been accepted, so no block. However, we probably need a team to evaluate licences before adding new code blocks

#13 - 2012-05-04 04:45 AM - Werner Macho

I wanted to start with this on monday anyway (with volter). First I have to find out what is really necessary to get the license issue fixed..

Think I gotta search through all files and decide which license it should have..

Probably we should provide something like a suggested standard header for new files getting added to the project then..

#14 - 2012-09-04 12:00 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#15 - 2013-07-20 07:17 AM - Daniel Vaz

This issue still exists? It would a good news release QGIS version 2.0.0 under GPLv3 terms.

#16 - 2014-01-30 11:43 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#17 - 2015-02-21 10:15 AM - Sandro Santilli

should this be closed or is there any real plan to switch to GPL3+ ?
#18 - 2015-02-23 11:21 AM - Werner Macho

discussed a lot of times - new parts are GP3+ but I guess there are still parts with GPL2 - and without allowance of writer we cannot do anything.

To be honest I believe QGIS is now GPL3+ but I really don't know. Let's just say it's GPL :)

#19 - 2017-05-01 01:10 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#20 - 2019-03-09 04:04 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
